gdlmm: Gdl::DockObject Class Reference

gdlmm 3.7.3

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gdl::DockObject Class Reference
Inheritance diagram for Gdl::DockObject:
[legend]
Collaboration diagram for Gdl::DockObject:
[legend]

## Public Member Functions
virtual | ~DockObject ()
GdlDockObject* | gobj ()
| Provides access to the underlying C GtkObject.
const GdlDockObject* | gobj () const
| Provides access to the underlying C GtkObject.
bool | is_compound () const
void | detach (bool recursive=true)
DockObject* | get_parent_object () const
void | freeze ()
void | thaw ()
void | reduce ()
template<class OtherType >
void | dock (DockObject& requestor, const OtherType& other_data, DockPlacement position=static_cast< DockPlacement >(DOCK_NONE))
void | dock (DockObject& requestor, DockPlacement position=static_cast< DockPlacement >(DOCK_NONE))
void | bind (const Glib::RefPtr< DockMaster >& master)
void | unbind ()
bool | is_bound () const
template<class OtherType >
bool | reorder (DockObject& child, const OtherType& other_data, DockPlacement new_position=static_cast< DockPlacement >(DOCK_NONE))
bool | reorder (DockObject& child, DockPlacement new_position=static_cast< DockPlacement >(DOCK_NONE))
void | present (DockObject& child)
bool | child_placement (DockObject& child, DockPlacement placement=static_cast< DockPlacement >(DOCK_NONE))
bool | is_automatic ()
void | set_manual ()
Glib::RefPtr< DockMaster > | get_master ()
Glib::PropertyProxy < Glib::ustring > | property_long_name ()
| Human readable name for the dock object.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_long_name () const
| Human readable name for the dock object.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_name () const
| Unique name for identifying the dock object.
Glib::PropertyProxy < Glib::RefPtr< DockMaster > > | property_master ()
| Dock master this dock object is bound to.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< DockMaster > > | property_master () const
| Dock master this dock object is bound to.
Glib::PropertyProxy < Glib::ustring > | property_stock_id ()
| Stock icon for the dock object.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_stock_id () const
| Stock icon for the dock object.
Glib::SignalProxy1< void, bool > | signal_detach ()
Glib::SignalProxy3< void, DockObject&, DockPlacement, const Glib::ValueBase* > | signal_dock ()

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions
| DockObject ()
void | dock (DockObject& requestor, const Glib::ValueBase& other_data, DockPlacement position=static_cast< DockPlacement >(DOCK_NONE))
bool | reorder (DockObject& child, const Glib::ValueBase& other_data, DockPlacement new_position=static_cast< DockPlacement >(DOCK_NONE))

## Related Functions
(Note that these are not member functions.)
Gdl::DockObject* | wrap (GdlDockObject* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gdl::DockObject::~DockObject | ( |  | ) |
| virtual

Gdl::DockObject::DockObject | ( |  | ) |
| protected

## Member Function Documentation

void Gdl::DockObject::bind | ( | const Glib::RefPtr< DockMaster >& | master | ) |

bool Gdl::DockObject::child_placement | ( | DockObject& | child,
|  | DockPlacement | placement = `static_cast< DockPlacement >(DOCK_NONE)`
| ) |  |

void Gdl::DockObject::detach | ( | bool | recursive = `true` | ) |

template <class OtherType >

void Gdl::DockObject::dock | ( | DockObject& | requestor,
|  | const OtherType & | other_data,
|  | DockPlacement | position = `static_cast<DockPlacement>(DOCK_NONE)`
| ) |  |

void Gdl::DockObject::dock | ( | DockObject& | requestor,
|  | DockPlacement | position = `static_cast< DockPlacement >(DOCK_NONE)`
| ) |  |

void Gdl::DockObject::dock | ( | DockObject& | requestor,
|  | const Glib::ValueBase & | other_data,
|  | DockPlacement | position = `static_cast< DockPlacement >(DOCK_NONE)`
| ) |  |
| protected

void Gdl::DockObject::freeze | ( |  | ) |

Glib::RefPtr<DockMaster> Gdl::DockObject::get_master | ( |  | ) |

DockObject* Gdl::DockObject::get_parent_object | ( |  | ) | const

static GType Gdl::DockObject::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented in Gdl::DockItem, Gdl::Dock, and Gdl::DockPlaceholder.

GdlDockObject* Gdl::DockObject::gobj | ( |  | ) |
| inline

Provides access to the underlying C GtkObject.

Reimplemented in Gdl::DockItem, Gdl::Dock, and Gdl::DockPlaceholder.

const GdlDockObject* Gdl::DockObject::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GtkObject.

Reimplemented in Gdl::DockItem, Gdl::Dock, and Gdl::DockPlaceholder.

bool Gdl::DockObject::is_automatic | ( |  | ) |

bool Gdl::DockObject::is_bound | ( |  | ) | const

bool Gdl::DockObject::is_compound | ( |  | ) | const

void Gdl::DockObject::present | ( | DockObject& | child | ) |

Glib::PropertyProxy< Glib::ustring > Gdl::DockObject::property_long_name | ( |  | ) |

Human readable name for the dock object.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gdl::DockObject::property_long_name | ( |  | ) | const

Human readable name for the dock object.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<DockMaster> > Gdl::DockObject::property_master | ( |  | ) |

Dock master this dock object is bound to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<DockMaster> > Gdl::DockObject::property_master | ( |  | ) | const

Dock master this dock object is bound to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gdl::DockObject::property_name | ( |  | ) | const

Unique name for identifying the dock object.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gdl::DockObject::property_stock_id | ( |  | ) |

Stock icon for the dock object.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gdl::DockObject::property_stock_id | ( |  | ) | const

Stock icon for the dock object.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gdl::DockObject::reduce | ( |  | ) |

template <class OtherType >

bool Gdl::DockObject::reorder | ( | DockObject& | child,
|  | const OtherType & | other_data,
|  | DockPlacement | new_position = `static_cast<DockPlacement>(DOCK_NONE)`
| ) |  |

bool Gdl::DockObject::reorder | ( | DockObject& | child,
|  | DockPlacement | new_position = `static_cast< DockPlacement >(DOCK_NONE)`
| ) |  |

bool Gdl::DockObject::reorder | ( | DockObject& | child,
|  | const Glib::ValueBase & | other_data,
|  | DockPlacement | new_position = `static_cast< DockPlacement >(DOCK_NONE)`
| ) |  |
| protected

void Gdl::DockObject::set_manual | ( |  | ) |

Glib::SignalProxy1< void,bool > Gdl::DockObject::signal_detach | ( |  | ) |

Slot Prototype:
  `void on_my_detach(bool arg1)`

Glib::SignalProxy3< void,DockObject&,DockPlacement,const Glib::ValueBase* > Gdl::DockObject::signal_dock | ( |  | ) |

Slot Prototype:
  `void on_my_dock(DockObject& arg1, DockPlacement arg2, const Glib::ValueBase* arg3)`

void Gdl::DockObject::thaw | ( |  | ) |

void Gdl::DockObject::unbind | ( |  | ) |

Reimplemented in Gdl::DockItem.

## Friends And Related Function Documentation

Gdl::DockObject* wrap | ( | GdlDockObject * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gdlmm/dockobject.h